### Functions

## PclZipUtilCopyBlock()

    PclZipUtilCopyBlock($p_src, $p_dest, $p_size, $p_mode)

### Parameters

#### $p_src

#### $p_dest

#### $p_size

#### $p_mode

## PclZipUtilOptionText()

    PclZipUtilOptionText($p_option)

### Parameters

#### $p_option

## PclZipUtilPathInclusion()

    PclZipUtilPathInclusion($p_dir, $p_path)

### Parameters

#### $p_dir

#### $p_path

## PclZipUtilPathReduction()

    PclZipUtilPathReduction($p_dir)

### Parameters

#### $p_dir

## PclZipUtilRename()

    PclZipUtilRename($p_src, $p_dest)

### Parameters

#### $p_src

#### $p_dest

## PclZipUtilTranslateWinPath()

    PclZipUtilTranslateWinPath($p_path, $p_remove_disk_letter)

### Parameters

#### $p_path

#### $p_remove_disk_letter

### Classes and interfaces

# PHPExcel_Settings¶

« More »

# PHPExcel_Shared_JAMA_Matrix¶

« More »

# PHPExcel_Shared_OLERead¶

« More »

# PclZip¶

« More »

### Constants

## PCLZIP_ATT_FILE_COMMENT

    PCLZIP_ATT_FILE_COMMENT

## PCLZIP_ATT_FILE_CONTENT

    PCLZIP_ATT_FILE_CONTENT

## PCLZIP_ATT_FILE_MTIME

    PCLZIP_ATT_FILE_MTIME

## PCLZIP_ATT_FILE_NAME

    PCLZIP_ATT_FILE_NAME

## PCLZIP_ATT_FILE_NEW_FULL_NAME

    PCLZIP_ATT_FILE_NEW_FULL_NAME

## PCLZIP_ATT_FILE_NEW_SHORT_NAME

    PCLZIP_ATT_FILE_NEW_SHORT_NAME

## PCLZIP_CB_POST_ADD

    PCLZIP_CB_POST_ADD

## PCLZIP_CB_POST_EXTRACT

    PCLZIP_CB_POST_EXTRACT

## PCLZIP_CB_PRE_ADD

    PCLZIP_CB_PRE_ADD

## PCLZIP_CB_PRE_EXTRACT

    PCLZIP_CB_PRE_EXTRACT

## PCLZIP_ERROR_EXTERNAL

    PCLZIP_ERROR_EXTERNAL

## PCLZIP_ERR_ALREADY_A_DIRECTORY

    PCLZIP_ERR_ALREADY_A_DIRECTORY

## PCLZIP_ERR_BAD_CHECKSUM

    PCLZIP_ERR_BAD_CHECKSUM

## PCLZIP_ERR_BAD_EXTENSION

    PCLZIP_ERR_BAD_EXTENSION

## PCLZIP_ERR_BAD_EXTRACTED_FILE

    PCLZIP_ERR_BAD_EXTRACTED_FILE

## PCLZIP_ERR_BAD_FORMAT

    PCLZIP_ERR_BAD_FORMAT

## PCLZIP_ERR_DELETE_FILE_FAIL

    PCLZIP_ERR_DELETE_FILE_FAIL

## PCLZIP_ERR_DIRECTORY_RESTRICTION

    PCLZIP_ERR_DIRECTORY_RESTRICTION

## PCLZIP_ERR_DIR_CREATE_FAIL

    PCLZIP_ERR_DIR_CREATE_FAIL

## PCLZIP_ERR_FILENAME_TOO_LONG

    PCLZIP_ERR_FILENAME_TOO_LONG

## PCLZIP_ERR_INVALID_ARCHIVE_ZIP

    PCLZIP_ERR_INVALID_ARCHIVE_ZIP

## PCLZIP_ERR_INVALID_ATTRIBUTE_VALUE

    PCLZIP_ERR_INVALID_ATTRIBUTE_VALUE

## PCLZIP_ERR_INVALID_OPTION_VALUE

    PCLZIP_ERR_INVALID_OPTION_VALUE

## PCLZIP_ERR_INVALID_PARAMETER

    PCLZIP_ERR_INVALID_PARAMETER

## PCLZIP_ERR_INVALID_ZIP

    PCLZIP_ERR_INVALID_ZIP

## PCLZIP_ERR_MISSING_FILE

    PCLZIP_ERR_MISSING_FILE

## PCLZIP_ERR_MISSING_OPTION_VALUE

    PCLZIP_ERR_MISSING_OPTION_VALUE

## PCLZIP_ERR_NO_ERROR

    PCLZIP_ERR_NO_ERROR

## PCLZIP_ERR_READ_OPEN_FAIL

    PCLZIP_ERR_READ_OPEN_FAIL

## PCLZIP_ERR_RENAME_FILE_FAIL

    PCLZIP_ERR_RENAME_FILE_FAIL

## PCLZIP_ERR_UNSUPPORTED_COMPRESSION

    PCLZIP_ERR_UNSUPPORTED_COMPRESSION

## PCLZIP_ERR_UNSUPPORTED_ENCRYPTION

    PCLZIP_ERR_UNSUPPORTED_ENCRYPTION

## PCLZIP_ERR_USER_ABORTED

    PCLZIP_ERR_USER_ABORTED

## PCLZIP_ERR_WRITE_OPEN_FAIL

    PCLZIP_ERR_WRITE_OPEN_FAIL

## PCLZIP_OPT_ADD_COMMENT

    PCLZIP_OPT_ADD_COMMENT

## PCLZIP_OPT_ADD_PATH

    PCLZIP_OPT_ADD_PATH

## PCLZIP_OPT_ADD_TEMP_FILE_OFF

    PCLZIP_OPT_ADD_TEMP_FILE_OFF

## PCLZIP_OPT_ADD_TEMP_FILE_ON

    PCLZIP_OPT_ADD_TEMP_FILE_ON

## PCLZIP_OPT_ADD_TEMP_FILE_THRESHOLD

    PCLZIP_OPT_ADD_TEMP_FILE_THRESHOLD

## PCLZIP_OPT_BY_EREG

    PCLZIP_OPT_BY_EREG

## PCLZIP_OPT_BY_INDEX

    PCLZIP_OPT_BY_INDEX

## PCLZIP_OPT_BY_NAME

    PCLZIP_OPT_BY_NAME

## PCLZIP_OPT_BY_PREG

    PCLZIP_OPT_BY_PREG

## PCLZIP_OPT_COMMENT

    PCLZIP_OPT_COMMENT

## PCLZIP_OPT_EXTRACT_AS_STRING

    PCLZIP_OPT_EXTRACT_AS_STRING

## PCLZIP_OPT_EXTRACT_DIR_RESTRICTION

    PCLZIP_OPT_EXTRACT_DIR_RESTRICTION

## PCLZIP_OPT_EXTRACT_IN_OUTPUT

    PCLZIP_OPT_EXTRACT_IN_OUTPUT

## PCLZIP_OPT_NO_COMPRESSION

    PCLZIP_OPT_NO_COMPRESSION

## PCLZIP_OPT_PATH

    PCLZIP_OPT_PATH

## PCLZIP_OPT_PREPEND_COMMENT

    PCLZIP_OPT_PREPEND_COMMENT

## PCLZIP_OPT_REMOVE_ALL_PATH

    PCLZIP_OPT_REMOVE_ALL_PATH

## PCLZIP_OPT_REMOVE_PATH

    PCLZIP_OPT_REMOVE_PATH

## PCLZIP_OPT_REPLACE_NEWER

    PCLZIP_OPT_REPLACE_NEWER

## PCLZIP_OPT_SET_CHMOD

    PCLZIP_OPT_SET_CHMOD

## PCLZIP_OPT_STOP_ON_ERROR

    PCLZIP_OPT_STOP_ON_ERROR

## PCLZIP_OPT_TEMP_FILE_OFF

    PCLZIP_OPT_TEMP_FILE_OFF

## PCLZIP_OPT_TEMP_FILE_ON

    PCLZIP_OPT_TEMP_FILE_ON

## PCLZIP_OPT_TEMP_FILE_THRESHOLD

    PCLZIP_OPT_TEMP_FILE_THRESHOLD

## PCLZIP_READ_BLOCK_SIZE

    PCLZIP_READ_BLOCK_SIZE

## PCLZIP_SEPARATOR

    PCLZIP_SEPARATOR

## PCLZIP_TEMPORARY_DIR

    PCLZIP_TEMPORARY_DIR

## PCLZIP_TEMPORARY_FILE_RATIO

    PCLZIP_TEMPORARY_FILE_RATIO